Distribution:   CCux
Packager:	Stefan Gottwald <gotti@ccux-linux.de>

Summary:	QUIMUP is a 'graphical' client for the music player daemon (MPD)
Name:		Quimup
Version:	1.2.0
Release:	1
License:	GNU/GPL 
URL:		http://www.coonsden.com/
Group:		Sound
Source0:	quimup_%{version}_source.tar.gz
Source1:	Quimup.desktop
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	i686
BuildRequires:  glibc-devel
BuildRequires:  libstdc++-devel
BuildRequires:	libmpdclient-devel 
BuildRequires:  libX11-devel 
BuildRequires:  qt4-devel 
BuildRequires:  xorg-x11-proto-devel

%description
QUIMUP is a 'graphical' client for the music player daemon (MPD) written
in C++ and QT3. The program can be used with most Linux desktops (KDE,
GNOME, XFCE) and is covered by the General Public License: it is free and
'open source'.

The clean interface makes controlling MPD's many features easy and intuitive.
The focus is on mouse handling: playlist management is done entirely by
drag-&-drop; playback functions are directly accessible from the system tray.
Quimup turns MPD into a perfect desktop music player.

%prep
%setup -q -n quimup_%{version}

%build
qmake-qt4
make

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%_bindir
install -m 755 quimup %{buildroot}%_bindir/quimup
mkdir -p %{buildroot}%_datadir/{pixmaps,applications}
install -m 644 Icons/quimup64.png %{buildroot}%_datadir/pixmaps/Quimup.png
install -m 644 %{SOURCE1} %{buildroot}%_datadir/applications/Quimup.desktop

find %{buildroot} -type f \
-exec /usr/bin/strip --strip-debug '{}' ';' 

%files
%defattr(-,root,root)
%_bindir/quimup
%_datadir/applications/Quimup.desktop
%_datadir/pixmaps/Quimup.png

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Thu Dec 23 2010 Stefan Gottwald <gotti@ccux-linux.de> 1.2.0-1
- version update
* Mon Dec 31 2007 Stefan Gottwald <gotti@ccux-linux.de> 0.3.1-1
- Initial Release
